#include "test.hh"

#include <QApplication>
#include <QtGui>

#include "TQRootCanvas.h"
#include "TCanvas.h"
#include "TApplication.h"
#include "TGraph.h"
#include "TSpline.h"
#include "TRandom.h"

MainWindow::MainWindow(): w(0), g(0), s(0)
{
  w = new TQRootCanvas(this);
  setCentralWidget(w);
  
  QPushButton *button = new QPushButton(this);
  button->setText("Plot Graph");
  setMenuWidget(button);
  connect(button, SIGNAL(clicked()), SLOT(PlotGraph()));
}

void MainWindow::PlotGraph()
{
  // w->cd();
  w->GetCanvas()->cd();
    
  delete g;
  g = new TGraph(10);
  g->SetBit(kCanDelete, kFALSE);
  g->SetMarkerStyle(2);
  for (int i = 0; i < 10; ++i)
    g->SetPoint(i, i, gRandom->Gaus());
  g->Draw("ap");

  delete s;
  s = new TSpline3("", g);
  s->SetBit(kCanDelete, kFALSE);
  s->SetLineColor(kRed);
  s->SetLineWidth(2);
  s->Draw("same");
  // s->Draw("LP");

  // w->Refresh();
  // update();

  // w->GetCanvas()->Resize();
  
  w->GetCanvas()->Modified();
  w->GetCanvas()->Update();
}

int main(int argc, char *argv[])
{
  TApplication rootapp("Simple Qt ROOT Application", &argc, argv);
  QApplication app(argc, argv);

  MainWindow mw;
  mw.resize(600, 400);
  mw.show();
  
  QObject::connect( qApp, SIGNAL(lastWindowClosed()), qApp, SLOT(quit()) );

  return app.exec();
}
